Bug 939456 - Tumbleweed installation USB key does not boot
Tumbleweed installation USB key does not boot
Status: RESOLVED FIXED
: 941560 (view as bug list)
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Installation
Current
x86-64 SUSE Other
: P2 - High : Major with 10 votes (vote)
: ---
Assigned To: Adrian Schröter
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-26 07:46 UTC by Chris Ward
Modified: 2022-02-16 23:38 UTC (History)
18 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
partition table of the USB stick with ISO image modified with `mksusecd` (2.26 KB, text/plain)
2017-05-16 13:13 UTC, H. Zeng
Details
partition table of the USB stick with ISO image original (2.27 KB, text/plain)
2017-05-16 13:15 UTC, H. Zeng
Details
partition table of the USB stick made with the original ISO image using Rufus (835 bytes, text/plain)
2017-05-16 13:19 UTC, H. Zeng
Details
Partition table of the USB stick made with modified (mksusecd -c new.iso --fat --no-efi tw.iso) ISO using `dd` (1.27 KB, text/plain)
2017-05-16 15:11 UTC, H. Zeng
Details
'ls -l' in the EFI/BOOT/ directory on the Rufus created stick (351 bytes, text/plain)
2017-05-17 15:47 UTC, H. Zeng
Details
Commands sequence for making new.iso using mksusecd from USB made with Rufus and make USB using this new.iso (1.78 KB, text/plain)
2017-05-18 08:22 UTC, H. Zeng
Details
Partition table of this USB stick made from new.iso (1.27 KB, text/plain)
2017-05-18 08:27 UTC, H. Zeng
Details
new mksusecd version (102.00 KB, application/octet-stream)
2017-05-18 12:03 UTC, Steffen Winterfeldt
Details
Partitian table of the USB stick made with the new `mksusecd` in Comment 56 (722 bytes, text/plain)
2017-05-18 13:15 UTC, H. Zeng
Details
Partition table of the USB from re-run the test regarding to comment 58 point 2 (1.27 KB, text/plain)
2017-05-18 13:50 UTC, H. Zeng
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Ward 2015-07-26 07:46:43 UTC
At 20150724, using imagewriter to make a 'bootable' USB key results in a non-bootable USB key. It looks like the partition information is not being written (the last step to modify an ISO before publication)
Comment 1 Steffen Winterfeldt 2015-07-27 09:55:52 UTC
It's (I looked at 20150725) not UEFI bootable (but via legacy BIOS).
Do you mean this?

Coolo, kiwi produces strange and broken isos lately.
Comment 2 Chris Ward 2015-07-27 10:35:11 UTC
Yes, that's the problem. I have a UEFI laptop, which usually boots from USB key just fine; but not lately with Tumbleweed. And it has never booted from DVD. Hopefully 'apper' can keep me up to date without the need for a reinstall until this gets fixed ...
Comment 3 Steffen Winterfeldt 2015-07-27 10:57:54 UTC
Chris, you can run the tumbleweed iso through mksusecd (software.opensuse.org).
This will give you a working iso. (mksusecd -c new.iso old.iso)
Comment 4 Chris Ward 2015-07-27 11:50:45 UTC
Yes, 'mksusecd' gives me a bootable USB key on my UEFI system. The resulting ISO is a little larger than the original ; that's OK for a USB key, but will it still fit on a DVD ?

Should I close this bug now, or should I leave it open until the as-published ISO works on a USB key on a UEFI system ?
Comment 5 Steffen Winterfeldt 2015-07-27 12:10:16 UTC
The image just gets padded a bit to get a nice partition table. The size
should be ok.

Please leave the bug open, kiwi should produce correct isos.
Comment 6 Mateusz Mielczarek 2015-07-30 11:37:41 UTC
(In reply to Steffen Winterfeldt from comment #3)
> Chris, you can run the tumbleweed iso through mksusecd
> (software.opensuse.org).
> This will give you a working iso. (mksusecd -c new.iso old.iso)

I tried that methon, but don't work for me (I tried under the arch linux)

arch:~/Documents/git/mksusecd sysek$ sudo ./mksusecd -c new-opensuse.iso openSUSE-Tumbleweed-NET-x86_64-Snapshot20150728-Media.iso 
El-Torito legacy bootable (x86_64)
El-Torito UEFI bootable (x86_64)
building: 100%
isohybrid: invalid offset: `8344', 0 <= offset <= 64
Error: isohybrid failed
Comment 7 Chris Ward 2015-07-30 11:41:49 UTC
Using 'mksusecd' worked for me (on 20150728, I think).
Comment 8 Steffen Winterfeldt 2015-07-30 11:46:43 UTC
Mateusz, you probably just run the script without installing everything properly first (try 'make install'). Note that it comes with its own isohybrid binary!
Comment 9 Mateusz Mielczarek 2015-07-30 12:26:37 UTC
(In reply to Steffen Winterfeldt from comment #8)
> Mateusz, you probably just run the script without installing everything
> properly first (try 'make install'). Note that it comes with its own
> isohybrid binary!

after that works, but NET install stops on download the first file system (1/5), so I am downloading DVD. Thanks for advice.
Comment 10 Steffen Winterfeldt 2015-07-30 12:47:02 UTC
Hm, as in bug 939430. Unfortunately I can't reproduce it. :-(

If you want to debug this a bit, please boot with bootoption 'linuxrc.debug=1'
and then watch on console 3 what it did last when it hangs. Or maybe there's
some kernel issue visible on console 4.
Comment 11 Benjamin Westrich 2015-08-02 16:58:36 UTC
To me this issue is really a rather critical one. I use a laptop with UEFI Bios and my installation is a UEFI installation. If I upgrade to the latest snapshot the system becomes unbootable. I also cannot make a UEFI capable boot stick using the latest snapshot (the one of today!).
Comment 12 Jochen Keil 2015-08-11 11:55:54 UTC
There's also an openQA test [1] which fails due to this bug.

[1] https://openqa.opensuse.org/tests/73211/modules/rescuesystem/steps/3
Comment 13 Max Lin 2015-08-11 12:04:52 UTC
(In reply to Jochen Keil from comment #12)
> There's also an openQA test [1] which fails due to this bug.
> 
> [1] https://openqa.opensuse.org/tests/73211/modules/rescuesystem/steps/3

It's not Tumbleweed, it's openSUSE 42 test ie. Leap.
The latest snapshot tests on openqa - https://openqa.opensuse.org/tests/overview?distri=opensuse&version=Tumbleweed&build=20150807&groupid=1
Comment 14 Ludwig Nussel 2015-08-11 13:28:43 UTC
Steffen, any idea what to look at in kiwi that could be causing this behavior?
Comment 15 Dominique Leuenberger 2015-08-11 13:48:54 UTC
For reference, from: https://build.opensuse.org/build/openSUSE:Factory:Live/standard/x86_64/kiwi-image-livecd-gnome/_log

[ 4765s] Aug-11 11:32:08 <1> : EXEC [/usr/bin/isohybrid --offset 12396 --id 0xc7cb7d8b --type 0x83 --uefi /usr/src/packages/BUILD/kiwi-image-livecd-gnome-Tumbleweed/out/iso/openSUSE-13.2-livecd-gnome.x86_64-2.8.0.iso 2>&1]
Comment 16 Steffen Winterfeldt 2015-08-11 14:20:48 UTC
Live ISOs are made at a different place in kiwi, afaik.
Comment 17 Steffen Winterfeldt 2015-08-11 14:29:08 UTC
If you look at a typical Tumbleweed iso (see below), you'll notice that the
efi boot partition is missing and instead there are 3(!) el-torito boot entries
(should be 2). That's a recent effect (after sle12-ga, I believe).

# pe openSUSE-Tumbleweed-DVD-x86_64-Snapshot20150807-Media.iso
openSUSE-Tumbleweed-DVD-x86_64-Snapshot20150807-Media.iso: 8964096 sectors
- - - - - - - - - - - - - - - -
mbr id: 0x1b963106
  sector size: 512
  isolinux.bin: 23456, "/boot/x86_64/loader/isolinux.bin"
  mbr partition table (chs 4377/64/32):
  1  * 11724 - 8964095 (size 8952372), chs 5/46/13 - 1023/63/32
       type 0x17 (ntfs hidden), fs "iso9660", label "openSUSE-Tumbleweed-DVD-x86_6400"
- - - - - - - - - - - - - - - -
el torito:
  sector size: 512
  boot catalog: 80
  0    type 0x01 (validation entry)
       platform id 0x00, crc 0x0000 (ok), magic ok
       manufacturer[15] "SUSE LINUX GmbH"
  1  * type 0x88 (initial/default entry)
       boot type 0 (no emulation)
       load address 0x00000, system type 0x00
       start 23456, size 4, "/boot/x86_64/loader/isolinux.bin"
       selection criteria 0x00 ""
  2    type 0x90 (section header)
       platform id 0x00, name[0] ""
       entries 1
  3  * type 0x88 (initial/default entry)
       boot type 0 (no emulation)
       load address 0x00000, system type 0x00
       start 3660, size 1, "/boot/x86_64/efi", fs "vfat"
       selection criteria 0x00 ""
  4    type 0x91 (last section header)
       platform id 0x00, name[0] ""
       entries 1
  5  * type 0x88 (initial/default entry)
       boot type 0 (no emulation)
       load address 0x00000, system type 0x00
       start 3660, size 8064, "/boot/x86_64/efi", fs "vfat"
       selection criteria 0x00 ""
Comment 18 Steffen Winterfeldt 2015-08-11 14:42:07 UTC
Note that the 3rd entry does not have a boot-load-size of 1 but the real
size, while kiwi should usually use '-boot-load-size 1' on x86.

So it's not clear where the 3rd entry comes from. If you have some log,
what's the actual mkisofs command line?
Comment 20 Ludwig Nussel 2015-08-11 14:51:07 UTC
Wodim was changed, maybe that's the culprit:
https://build.opensuse.org/package/rdiff/openSUSE:Factory/wodim?linkrev=base&
rev=44
Comment 21 Dominique Leuenberger 2015-08-11 14:52:03 UTC
A full log can be found at: https://build.opensuse.org/build/openSUSE:Factory:Live/standard/x86_64/kiwi-image-livecd-gnome/_log

kiwi seems to be using genisoimage

[ 4698s] Aug-11 11:31:00 <1> : EXEC [/usr/bin/genisoimage -R -J -f -pad -joliet-long -allow-limited-size -udf -V "openSUSE 13.3 GNOME Live" -A "0xc7cb7d8b" -p "KIWI - http://opensuse.github.com/kiwi" -publisher "SUSE LINUX GmbH" -sort /tmp/kiso-sort-LO9jYB -no-emul-boot -boot-load-size 4 -boot-info-table -b boot/x86_64/loader/isolinux.bin -c boot/x86_64/boot.catalog -hide boot/x86_64/boot.catalog -hide-joliet boot/x86_64/boot.catalog -eltorito-alt-boot  -b boot/x86_64/efi -no-emul-boot -joliet-long -hide glump -hide-joliet glump -o /usr/src/packages/BUILD/kiwi-image-livecd-gnome-Tumbleweed/out/iso/openSUSE-13.2-livecd-gnome.x86_64-2.8.0.iso /tmp/kiso-loader-NUfTAF /usr/src/packages/BUILD/kiwi-image-livecd-gnome-Tumbleweed/out/iso/CD 2>&1]
[ 4730s] Aug-11 11:31:33 <1> : 
[ 4730s]         KIWIIsoLinux::findAndCopyMagicBlock start block at: 3099
[ 4730s] Aug-11 11:31:33 <1> : EXEC [/usr/bin/genisoimage -R -J -f -pad -joliet-long -allow-limited-size -udf -V "openSUSE 13.3 GNOME Live" -A "0xc7cb7d8b" -p "KIWI - http://opensuse.github.com/kiwi" -publisher "SUSE LINUX GmbH" -sort /tmp/kiso-sort-LO9jYB -no-emul-boot -boot-load-size 4 -boot-info-table -b boot/x86_64/loader/isolinux.bin -c boot/x86_64/boot.catalog -hide boot/x86_64/boot.catalog -hide-joliet boot/x86_64/boot.catalog -eltorito-alt-boot  -b boot/x86_64/efi -no-emul-boot -joliet-long -hide glump -hide-joliet glump -hide glump -hide-joliet glump -o /usr/src/packages/BUILD/kiwi-image-livecd-gnome-Tumbleweed/out/iso/openSUSE-13.2-livecd-gnome.x86_64-2.8.0.iso /tmp/kiso-loader-NUfTAF /usr/src/packages/BUILD/kiwi-image-livecd-gnome-Tumbleweed/out/iso/CD 2>&1]
Comment 22 Ludwig Nussel 2015-08-11 15:02:38 UTC
Confirmed that building the mini iso with wodim pre dirk's patch works.
Comment 23 Dominique Leuenberger 2015-08-11 15:12:21 UTC
(In reply to Ludwig Nussel from comment #22)
> Confirmed that building the mini iso with wodim pre dirk's patch works.

reverted wodim to rev 43 in openSUSE:Factory (the long lasting stuff needed be rebuilt anyway, due to land package automatic updates). If all goes well, snapshot 0811 should have this corrected then.
Comment 24 Max Lin 2015-08-11 15:17:21 UTC
If the wodim is the culprit, a worse thing is - Jochen is asking removing wodim from Factory. https://build.opensuse.org/request/show/321816
Comment 25 Steffen Winterfeldt 2015-08-12 08:13:05 UTC
The log in comment 21 is from a live iso. As said before, this is different kiwi code. You'd have to look at the log of an install media build.
Comment 26 Steffen Winterfeldt 2015-08-12 08:43:04 UTC
mkisofs from cdrtools creates a correct boot catalog; so running fixCatalog()
in kiwi is no longer necessary. (This might even produce the stay 3rd extra
entry.)
Comment 27 Jochen Keil 2015-08-12 10:04:52 UTC
(In reply to Steffen Winterfeldt from comment #26)
> mkisofs from cdrtools creates a correct boot catalog; so running fixCatalog()
> in kiwi is no longer necessary. (This might even produce the stay 3rd extra
> entry.)

In that case it might be safe to use mkisofs as drop-in replacement for genisoimage and get rid of cdrkit-cdrecord-compat/wodim entirely:

https://github.com/openSUSE/kiwi/pull/479
Comment 28 Steffen Winterfeldt 2015-08-12 10:11:20 UTC
I might pay off to adopt the kiwi code to deal with both mkisofs variants before you do this.
Comment 29 Jochen Keil 2015-08-12 10:21:47 UTC
https://github.com/openSUSE/kiwi/pull/479(In reply to Steffen Winterfeldt from comment #28)
> I might pay off to adopt the kiwi code to deal with both mkisofs variants
> before you do this.

I don't quite understand. The cdrkit-cdrecord-compat package merely provides a symlink from mkisofs to genisoimage. Both tools work the same.
Comment 30 Steffen Winterfeldt 2015-08-12 10:55:13 UTC
mkisofs from cdrtools works differently from genisoimage.
Comment 31 Jochen Keil 2015-08-12 10:57:51 UTC
(In reply to Steffen Winterfeldt from comment #30)
> mkisofs from cdrtools works differently from genisoimage.

In what way? Why is it symlinked then in the compat package?

(Sorry about the broken comment previously, I accidentally pasted the content of my clipboard..)
Comment 32 Steffen Winterfeldt 2015-08-12 11:13:52 UTC
It's a compat link.

But cdrtools has evolved independently from wodim over time and has fixes
wodim hasn't got. That's the whole point of having it replace wodim, or?
Comment 33 Jochen Keil 2015-08-12 11:51:34 UTC
How can I then find out how mkisofs behaves differently from genisoimage?
The parameters are all the same and do the same, at least according to the documentation.
Also, how would support for both programs look like? Check if mkisofs is a symlink and then do some genisoimage specific stuff, if there's any?
Comment 34 Steffen Winterfeldt 2015-08-12 12:28:10 UTC
genisoimage creates broken el-torito boot catalog entries; mkisofs not.
This fixCatalog() function could just detect the situation and behave
differently. I've just done this in the mksusecd package.
Comment 37 Jochen Keil 2015-08-12 14:36:50 UTC
(In reply to Steffen Winterfeldt from comment #34)
> genisoimage creates broken el-torito boot catalog entries; mkisofs not.
> This fixCatalog() function could just detect the situation and behave
> differently. I've just done this in the mksusecd package.

Although this might be heretic, but how about dropping the fixCatalog() stuff entirely? Is it necessary to keep the support for genisoimage around?
Comment 38 Steffen Winterfeldt 2015-08-12 14:58:38 UTC
Given that the rush to cdrtools hasn't happened yet, it might be a bit premature.
Comment 39 Ancor Gonzalez Sosa 2015-08-13 12:35:58 UTC
*** Bug 941560 has been marked as a duplicate of this bug. ***
Comment 40 Jochen Keil 2015-08-13 14:47:07 UTC
Following Steffen's advice I've updated the pull request to kiwi inspired by his changes to mksusecd. Thanks!
Comment 42 H. Zeng 2017-05-16 10:55:16 UTC
I am here to add a little information on this.

I have encounter with this bug several times in the past a few months until I find this bug report when I try to file a bug report on the problem I have. The problem is detailed in this thread [1] in the openSUSE forum.

In summary, several points are listed as follows. 

1. At least this bug affects the DVD ISO image of openSUSE Tumbleweed snapshots of 20170308, 20170429, 20170505 and 20170510. I have tested all this snapshots trying to find out why I cannot boot to install openSUSE with a USB stick made with the ISO by using binary copy (the `dd` command). As a background, I tested this USB stick on a Lenovo ThinkPad T470s under EFI boot mode with secure boot ON and OFF. They all failed like this: after selecting the USB stick as boot device in the EFI boot menu, the screen turns black for a second with no splash of any text on it and then the EFI boot menu shows up again with the first entry selected.

2. All of the ISOs of the snapshots mentioned above can be made into USB stick using Rufus with ISO Image mode and these USB sticks can be used to install openSUSE Tumbleweed successfully.

3. At least, the USB stick with snapshot 20170510 works on a relative new HP Pavilion laptop (I forgot the specific model) under EFI boot mode with secure boot ON. I can at least proceed to the options menu with one entry as "Installation".

4. After doing a "mksusecd" with ISO of snapshot 20170510, then making the USB stick with the new ISO image, the USB stick can be booted from on the Lenovo ThinkPad T470s at least to the option selection menu screen. I proceeded further with the "Rescue" option and it ran into an error of "*** signal 11 ***" at the bottom left corner of the screen. After stalking on this screen for about 1 or 2 minutes, the machine rebooted automatically. But I guess this is another issue.

5. A similar USB stick made from GeckLinux static image with KDE can be booted from on the Lenovo ThinkPad T470s to installation screen without any problem.

Hopefully this bug could be fixed with a relative high priority since it seems that openSUSE Tumbleweed becomes more popular than before and many people tend to use USB drive other than optical drive for installation and rescue nowadays.


[1] https://forums.opensuse.org/showthread.php/524790-Problems-on-burning-ISO-to-USB-thumb-drive-for-system-installation
Comment 43 Steffen Winterfeldt 2017-05-16 11:34:48 UTC
Thanks for testing this so thoroughly!

Could you please run 'parti' (install on Tumbleweed or get it from software.opensuse.org) on the usb images you tried? Particularly the working ones you got with Rufus would be interesting.

Please attach the results here.
Comment 44 H. Zeng 2017-05-16 12:32:34 UTC
(In reply to Steffen Winterfeldt from comment #43)
> Thanks for testing this so thoroughly!
> 
> Could you please run 'parti' (install on Tumbleweed or get it from
> software.opensuse.org) on the usb images you tried? Particularly the working
> ones you got with Rufus would be interesting.
> 
> Please attach the results here.

I think I should mention that,

a) All of the 5 points in comment #42 are talking about USB stick made with `dd` command except for point No. 2.

b) Rufus has two modes for making USB stick from ISO image. One is "ISO Image mode", and the other is "DD image mode".

If I got it correct, ISO Image mode first makes a bootable USB stick by partitioning and formatting it into proper scheme and then copies the content of the DVD ISO image into a proper partition on the USB drive, so that this USB stick can be used to boot both in Legacy and EFI mode for installing a system.

While the DD Image mode has the same mechanism as `dd` command in Linux to create a installation USB media from DVD ISO installation image.

Do you still think it's valuable to have the partition table of the one made with Rufus?
Comment 45 Steffen Winterfeldt 2017-05-16 12:58:10 UTC
Yes, please. As I understand it, they are the images having no problems - so let's have a look. :-)
Comment 46 H. Zeng 2017-05-16 13:13:30 UTC
Created attachment 725228 [details]
partition table of the USB stick with ISO image modified with `mksusecd`

This is the partition table of the USB stick with ISO image modified with `mksusecd`.

This USB stick can be used to boot into installation process (at least processing to the "grub menu"-like menu according to my test).
Comment 47 H. Zeng 2017-05-16 13:15:46 UTC
Created attachment 725229 [details]
partition table of the USB stick with ISO image original

This is the partition table of the USB stick with original ISO image.

USB stick made with this using `dd` command cannot be used to boot the machine.
Comment 48 H. Zeng 2017-05-16 13:19:15 UTC
Created attachment 725232 [details]
partition table of the USB stick made with the original ISO image using Rufus

This is the partition table of the USB stick made with the original ISO image using Rufus (ISO Image mode).

This one can be used to boot into the installation. (I've installed my system using this method.)
Comment 49 Steffen Winterfeldt 2017-05-16 14:13:23 UTC
Interesting.

Could you, with the latest mksusecd (1.51) create an image this way:

mksusecd -c new.iso --fat --no-efi tw.iso

and test it? (This is expected to boot on EFI despite the option, no worries.)

This should look pretty much like the Rufus image.
Comment 50 H. Zeng 2017-05-16 15:11:24 UTC
Created attachment 725251 [details]
Partition table of the USB stick made with modified (mksusecd -c new.iso --fat --no-efi tw.iso) ISO using `dd`

Here is the partition table of the USB stick made with modified (mksusecd -c new.iso --fat --no-efi tw.iso) ISO using `dd` command.

In case it matters, although I could use the rest capacity of the USB stick as I can to the Rufus made USB stick, the left capacity of the USB stick is only less than 20MiB comparing around 4GiB in the Rufus made USB stick.

I ***could not boot*** into installation with this USB stick. The symptom is the still the same: screen turns black for a second then flash back to the UEFI boot menu with the first entry selected. No error message.

As a reference, here is the commands and outputs I used to modify the ISO and create the USB stick.
```
cnzhx@a:~> mksusecd --version
1.51
cnzhx@a:~> cd /data
cnzhx@a:/data> sudo mksusecd -c ostw.iso --fat --no-efi /run/media/cnzhx/Other/iso/openSUSE-Tumbleweed-DVD-x86_64-Snapshot20170510-Media.iso
El-Torito legacy bootable (x86_64)
building: 100%
calculating sha1...
cnzhx@a:/data> su
Password:
a:/data # fdisk -l /dev/sdc
Disk /dev/sdc: 7.2 GiB, 7736072192 bytes, 15109516 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: dos
Disk identifier: 0x000e7b75

Device     Boot Start      End  Sectors  Size Id Type
/dev/sdc1  *     2048 15109515 15107468  7.2G  c W95 FAT32 (LBA)
a:/data # umount /dev/sdc1
a:/data # umount /dev/sdc
umount: /dev/sdc: not mounted
a:/data # dd if=ostw.iso of=/dev/sdc bs=4M status=progress && sync
4155506688 bytes (4.2 GB, 3.9 GiB) copied, 122.307 s, 34.0 MB/s
990+1 records in
990+1 records out
4155506688 bytes (4.2 GB, 3.9 GiB) copied, 470.655 s, 8.8 MB/s
```
Comment 51 Steffen Winterfeldt 2017-05-17 14:32:12 UTC
The image size can be adjusted to fit your stick with --size /dev/YOUR_USB_DEV.

Anyway, could you please run 'ls -l' in the EFI/BOOT/ directory on the Rufus created stick?

Also, if you mount the Rufus image at /mnt and run
'mksusecd -c new.iso --fat --no-efi /mnt' to make an image from that: does _this_ image boot?
Comment 52 H. Zeng 2017-05-17 15:47:27 UTC
Created attachment 725418 [details]
'ls -l' in the EFI/BOOT/ directory on the Rufus created stick

Here is the output of 'ls -l' in the EFI/BOOT/ directory on the Rufus
created stick.

I'll report back later about the create ISO from this USB stick then `dd` this ISO to the USB stick for booting and installing because I need your help on the following operations.

How to mount the USB stick (assuming it's /dev/sdX with one partition /dev/sdX1) to /mnt?

Here is what I have done,
```
a:/data # umount /dev/sdb1
a:/data # mount /dev/sdb /mnt
mount: wrong fs type, bad option, bad superblock on /dev/sdb,
       missing codepage or helper program, or other error

       In some cases useful info is found in syslog - try
       dmesg | tail or so.
a:/data # mount /dev/sdb1 /mnt
a:/data # 
```
As you can see, I cannot mount /dev/sdb but /dev/sdb1. Should I mount sdb1 instead of /dev/sdb?

Sorry, I am not an experienced user of Linux. I'm on the learning route. 

P.S. I might need to do this tomorrow after I receive your further instructions.
Comment 53 Steffen Winterfeldt 2017-05-18 07:44:32 UTC
You would do 'mount /dev/sdb1 /mnt'. It should show all the files in /mnt, then.
Comment 54 H. Zeng 2017-05-18 08:22:06 UTC
Created attachment 725520 [details]
Commands sequence for making new.iso using mksusecd from USB made with Rufus and make USB using this new.iso
Comment 55 H. Zeng 2017-05-18 08:27:38 UTC
Created attachment 725521 [details]
Partition table of this USB stick made from new.iso


Have done,
1. make a USB stick using "Rufus ISO Image mode" from the original DVD ISO of snapshot 20170510,
2. create a new.iso from this USB stick using,
```mksusecd -c new.iso --fat --no-efi /mnt```
3. make a new USB stick using `dd` from the new.iso
4. try to boot into installation from this new USB stick,

This new USB stick failed to boot the machine into installation screen. Symptom is the same as previous.
Comment 56 Steffen Winterfeldt 2017-05-18 12:03:43 UTC
Created attachment 725571 [details]
new mksusecd version

I've found a lenovo notebook showing similar symptoms here at work and hope I've nailed down the issue.

Please test the attached new mksusecd using this command line:

mksusecd -c new.img --fat tw.iso

If you want you can insert the usb stick somewhere and add
'--size /dev/USB_STICK_DEVICE' to get an image covering the whole disk.

Then 'dd' new.img to your usb disk.

Does this work?
Comment 57 H. Zeng 2017-05-18 12:38:33 UTC
(In reply to Steffen Winterfeldt from comment #56)
> Created attachment 725571 [details]
> new mksusecd version
> 
> I've found a lenovo notebook showing similar symptoms here at work and hope
> I've nailed down the issue.
> 
> Please test the attached new mksusecd using this command line:
> 
> mksusecd -c new.img --fat tw.iso
> 
> If you want you can insert the usb stick somewhere and add
> '--size /dev/USB_STICK_DEVICE' to get an image covering the whole disk.
> 
> Then 'dd' new.img to your usb disk.
> 
> Does this work?

As I stated in Comment 42 #4, the original mksusecd v1.51 should work. Although I haven't try to perform an installation from that, but that one can at least boot the machine to the installation screen. So I am curious about the reason you provide this new `mksusecd` for testing this bug. Could you explain a little more on this? No offend. I just want to understand the logic behind this.

P.S. I am preparing the new test now.
Comment 58 Steffen Winterfeldt 2017-05-18 12:56:04 UTC
Sure. The patch is

https://github.com/openSUSE/mksusecd/pull/23

There are some issues:

1. the image mksusecd created in comment 42 4. should not lead to segfaults
2. the image from comment 49 should work
3. and, _if_ 1. is supposed to work, why doesn't it work with the original tw image?
Comment 59 H. Zeng 2017-05-18 13:15:09 UTC
Created attachment 725582 [details]
Partitian table of the USB stick made with the new `mksusecd` in Comment 56


This USB stick ***can boot*** the machine into installation screen.

This time I proceeded a little further:

1. I choose "Installation" to proceed to the "Language, Keyboard and Licence Agreement" screen, then abort the installation. The machine then turns to the ***signal 11*** screen for 1 minute and reboots.

2. I boot the machine from the USB again and choose "More" -> "Rescue System" and wait for the system to load. Before the green band on the bottom of the screen could reach the end, the machine turns to the ***signal 11*** screen for 1 minute and reboots. (This is the same as described in comment 42 #4.)

(In reply to Steffen Winterfeldt from comment #58)
> There are some issues:
> 
> 1. the image mksusecd created in comment 42 4. should not lead to segfaults
If you mean the "*** signal 11 ***" problem, I think this is another issue apart from this bug which is about the unbootable USB stick.

> 2. the image from comment 49 should work
I will try the same test of comment 49 after this comment to make sure there is no glitch when did this before. Please note that this time you didn't include the "--no-efi" parameter (TBH, I don't know whether this matters or not but you said it doesn't).

> 3. and, _if_ 1. is supposed to work, why doesn't it work with the original
> tw image?
I think this is the key point here. However, I do not know.
Comment 60 H. Zeng 2017-05-18 13:50:50 UTC
Created attachment 725584 [details]
Partition table of the USB from re-run the test regarding to comment 58 point 2



Regarding comment 58 point 2, I re-did the test. The result is ***failure to boot*** from the USB stick. Symptom is the same.

Note that, there is a different from this partition table to the old one (https://bugzilla.suse.com/attachment.cgi?id=725251) apart from the dates and (*)id's, `bpb[90], oem "SYSLINUX"` in old vs `bpb[90], oem "MTOO4018"` in new. Again, I don't know anything about this.
Comment 61 Steffen Winterfeldt 2017-05-18 14:52:28 UTC
Ok, I've now run a few more tests on the test system available and found the difference that makes the regular Tumbleweed iso fail.

So, finally, there are three issues:

(1) the installation sometimes ends in a signal 11, this seems to be independent
of the rest and please open a separate bug for this

(2) while mksusecd can create dedicated usb disk images (much like Rufus in
iso mode) it should remove the iso9660 file system to avoid confusion on some
hardware - done with the patch in comment 58

(3) the Tumbleweed images kiwi creates are technically correct but as it seems
some hardware is a bit sloppy implementing the UEFI specs: while it is ok
to leave the size of the EFI image unspecified in the el torito entry, at least
some lenovo thinkpads (470s, x1 carbon) like to see the real size there; it's
'-boot-load-size 1' vs. '-boot-load-size <#of_0.5k_blocks>' for genisoimage

zhx: many thanks for helping to track this down!

Marcus, maybe kiwi should also use the real size if possible (<= 0xffff blocks)?
Comment 62 H. Zeng 2017-05-18 15:42:46 UTC
@Steffen Thanks a lot for hunting this bug. I am very glad to help though it's actually nothing comparing to the contribution of all the developers have done.

In addition, I think the signal 11 issue is reported here: https://bugzilla.suse.com/show_bug.cgi?id=1027354
Comment 63 Marcus Schaefer 2017-05-19 08:57:10 UTC
Hi Steffen, thanks for the hint I'll prepare a pull request for kiwi and ping you for a review once I'm done
Comment 64 Marcus Schaefer 2017-05-28 19:42:36 UTC
merged: https://github.com/SUSE/kiwi/pull/336
Comment 65 Steffen Winterfeldt 2017-10-24 08:45:32 UTC
Our ISOs are still not produced correctly. I think as the image generation has been moved out of kiwi, the patch got lost.
Comment 66 Dominique Leuenberger 2017-10-24 08:50:00 UTC
(In reply to Steffen Winterfeldt from comment #65)
> Our ISOs are still not produced correctly. I think as the image generation
> has been moved out of kiwi, the patch got lost.

so far, TW isos are still built using the traditional kiwi-with-plugins (migration to the new product builder is not done yet for TW)
Comment 67 Steffen Winterfeldt 2017-10-24 09:02:37 UTC
Ok, but the fact remains that the ISOs still don't encode the real size of the UEFI boot image.
Comment 68 Dominique Leuenberger 2017-10-24 09:04:17 UTC
(In reply to Steffen Winterfeldt from comment #67)
> Ok, but the fact remains that the ISOs still don't encode the real size of
> the UEFI boot image.

oh, I don't object that - just did not want people to look at bugs in one code when we don't use that one yet
Comment 69 Steffen Winterfeldt 2017-10-24 09:25:08 UTC
It's also true for sle15 and we do use the new code there, or not?
Comment 70 Dominique Leuenberger 2017-10-24 09:27:13 UTC
(In reply to Steffen Winterfeldt from comment #69)
> It's also true for sle15 and we do use the new code there, or not?

indeed, SLE15 uses the new prod builder
Comment 71 Adrian Schröter 2017-12-01 10:17:42 UTC
fixed in version 1.0 of product builder.
Comment 72 Matthias Eliasson 2018-02-02 14:00:47 UTC
This is still a issue for latest Tumbleweed iso (Snapshot20180130).

I used the excellent workaround  Steffen Winterfeldt:

make sure to have usb in and check which device it gets (lsblk)

sudo mksusecd -c tumbleweed.img --fat openSUSE-Tumbleweed-DVD-x86_64-Snapshot20180130-Media.iso --size /dev/sdx

sudo dd if=tumbleweed.img of=/dev/sdx bs=4M && sync
Comment 73 Steffen Winterfeldt 2018-02-02 15:57:31 UTC
As it happens the new product builder is not used yet for TW. :-(

(But everywhere else - the Leap-15.0 images are fine, for example.)
Comment 74 H. Zeng 2018-05-22 08:34:00 UTC
(In reply to Steffen Winterfeldt from comment #73)
> As it happens the new product builder is not used yet for TW. :-(
> 
> (But everywhere else - the Leap-15.0 images are fine, for example.)

Has anyone tried this for Leap 15.0?

I used "openSUSE-Leap-15.0-DVD-x86_64-Build258.1-Media.iso" to make a USB drive using `dd` command, but it cannot boot up my T420s ThinkPad laptop to install the system. After selecting the USB drive to boot from, the system stopped at the black screen with only a cursor blinking at the top left corner. P.S. This laptop does not use UEFI boot.
Comment 75 Steffen Winterfeldt 2018-05-25 10:10:51 UTC
If you run the iso through mksusecd, does it work, then?
Comment 76 Steffen Winterfeldt 2018-05-25 12:33:09 UTC
I've just tried Leap 15.0 with a T450 and it worked just fine.
Comment 77 H. Zeng 2018-05-25 18:01:01 UTC
After converting like this,
```
mksusecd -c leap.img openSUSE-Leap-15.0-DVD-x86_64.iso
```
then making USB drive using `dd`, the installer can boot the laptop and guide me to install.
Comment 78 H. Zeng 2018-05-26 07:48:23 UTC
I tried again with the official ISO directly `dd`ed to the USB drive. This time it has no problem to boot into installer.

Sorry for the false alarm. Either I had made a mistake or the ISO I downloaded had certain glitch with it. The former ISO is the one I downloaded from "15.0-Current" while the second one downloaded from "15.0". Their "last modified time"s are different but I assume they are almost the same, right?

Anyway, there is no problem for T420s.

I am truly sorry for the extra work I caused, especially for Steffen.
Comment 79 Steffen Winterfeldt 2018-05-28 07:39:15 UTC
You've no idea how much extra work this would have caused *if* there had been a difference. :-)
Comment 80 H. Zeng 2018-05-28 07:46:25 UTC
(In reply to Steffen Winterfeldt from comment #79)
> You've no idea how much extra work this would have caused *if* there had
> been a difference. :-)

Then, it must be something wrong with my operations, or even the download. I should have double-checked the operations. I am too hurry ;(
Comment 82 Swamp Workflow Management 2022-02-16 20:41:37 UTC
SUSE-FU-2022:0454-1: An update that solves 54 vulnerabilities, contains 6 features and has 247 fixes is now available.

Category: feature (moderate)
Bug References: 1000080,1000117,1000194,1000742,1002895,1003091,1005246,1010874,1010966,1011936,1015549,1027610,1027705,1029902,1030038,1032118,1032119,1035604,1039469,1040164,1040256,1041090,1042670,1049186,1049304,1050653,1050665,1055478,1055542,1056951,1057496,1062237,1066873,1068790,1070737,1070738,1070853,1071941,1073310,1073845,1073879,1074247,1076519,1077096,1077230,1078329,1079761,1080301,1081005,1081750,1081751,1082155,1082163,1082318,1083826,1084117,1084157,1085276,1085529,1085661,1087104,1088573,1090427,1090953,1093518,1093917,1094788,1094814,1094883,1095267,1096738,1096937,1097531,1098535,1099308,1099569,1102868,1108508,1109882,1109998,1110435,1110869,1110871,1111493,1111622,1111657,1112357,1115769,1118611,1119376,1119416,1119792,1121717,1121852,1122191,1123064,1123185,1123186,1123558,1124885,1125815,1126283,1126318,1127173,1128146,1128323,1128355,1129071,1129566,1130840,1132174,1132323,1132455,1132663,1132900,1135009,1136444,1138666,1138715,1138746,1139915,1140255,1141168,1142899,1143033,1143454,1143893,1144506,1149686,1149792,1150190,1150895,1153830,1155815,1156677,1156694,1156908,1157104,1157354,1159235,1159538,1161557,1161770,1162224,1162367,1162743,1163978,1164310,1165439,1165578,1165730,1165823,1165960,1166139,1166758,1167008,1167501,1167732,1167746,1168480,1168973,1169489,1170175,1170863,1171368,1171561,1172226,1172908,1172928,1173226,1173356,1174009,1174091,1174514,1175729,1176116,1176129,1176134,1176232,1176256,1176257,1176258,1176259,1176262,1176389,1176785,1176977,1177120,1177127,1178168,1178341,1178670,1179562,1179630,1179805,1180125,1180781,1181126,1181324,1181944,1182066,1182211,1182244,1182264,1182379,1182963,1183059,1183374,1183858,1184505,1185588,1185706,1185748,1186738,1187045,1190781,1193357,428177,431945,589441,613497,637176,657698,658604,673071,715423,743787,747125,750618,751718,754447,754677,761500,784670,787526,799119,809831,811890,825221,828513,831629,834601,835687,839107,84331,855666,858239,867887,871152,885662,885882,889363,892480,898917,907584,912460,913229,915479,917607,917759,917815,922448,929736,930189,931978,935856,937912,939456,940608,942385,942751,944204,945455,946648,947357,947679,948198,954486,954690,961334,962291,963974,964204,964472,964474,965830,967128,968270,968601,975875,981848,988086,992988,992989,992992,993130,993825,993968,994910,996255,997614
CVE References: CVE-2011-3389,CVE-2011-4944,CVE-2012-0845,CVE-2012-1150,CVE-2013-1437,CVE-2013-1752,CVE-2013-4238,CVE-2013-4314,CVE-2014-0012,CVE-2014-1829,CVE-2014-1830,CVE-2014-2667,CVE-2014-4650,CVE-2014-7202,CVE-2014-7203,CVE-2014-9721,CVE-2015-2296,CVE-2016-10745,CVE-2016-1238,CVE-2016-9015,CVE-2017-18342,CVE-2017-6512,CVE-2018-18074,CVE-2018-20060,CVE-2018-7750,CVE-2019-10906,CVE-2019-11236,CVE-2019-11324,CVE-2019-13132,CVE-2019-20907,CVE-2019-20916,CVE-2019-5010,CVE-2019-6250,CVE-2019-8341,CVE-2019-9740,CVE-2019-9947,CVE-2020-14343,CVE-2020-15166,CVE-2020-15523,CVE-2020-15801,CVE-2020-1747,CVE-2020-25659,CVE-2020-26137,CVE-2020-27783,CVE-2020-28493,CVE-2020-29651,CVE-2020-36242,CVE-2020-8492,CVE-2021-23336,CVE-2021-28957,CVE-2021-29921,CVE-2021-3177,CVE-2021-33503,CVE-2021-3426
JIRA References: ECO-3105,SLE-12986,SLE-17532,SLE-17957,SLE-7686,SLE-9135
Sources used:

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 83 Swamp Workflow Management 2022-02-16 21:19:54 UTC
SUSE-FU-2022:0445-1: An update that solves 183 vulnerabilities, contains 21 features and has 299 fixes is now available.

Category: feature (moderate)
Bug References: 1000080,1000117,1000194,1000677,1000742,1001148,1001912,1002585,1002895,1003091,1005246,1009528,1010874,1010966,1011936,1015549,1019637,1021641,1022085,1022086,1022271,1027079,1027610,1027688,1027705,1027908,1028281,1028723,1029523,1029902,1030038,1032118,1032119,1035604,1039469,1040164,1040256,1041090,1042392,1042670,1044095,1044107,1044175,1049186,1049304,1050653,1050665,1055478,1055542,1055825,1056058,1056951,1057496,1062237,1065363,1066242,1066873,1068790,1070737,1070738,1070853,1071905,1071906,1071941,1073310,1073845,1073879,1074247,1076519,1077096,1077230,1078329,1079761,1080301,1081005,1081750,1081751,1082155,1082163,1082318,1083826,1084117,1084157,1085276,1085529,1085661,1087102,1087104,1088573,1089039,1090427,1090765,1090953,1093518,1093917,1094788,1094814,1094883,1095267,1096738,1096937,1097158,1097531,1097624,1098535,1098592,1099308,1099569,1100078,1101246,1101470,1102868,1104789,1106197,1108508,1109882,1109998,1110435,1110869,1110871,1111493,1111622,1111657,1112209,1112357,1113534,1113652,1113742,1113975,1115769,1117951,1118611,1119376,1119416,1119792,1121717,1121852,1122191,1123064,1123185,1123186,1123558,1124885,1125815,1126283,1126318,1127080,1127173,1128146,1128323,1128355,1129071,1129566,1130840,1131291,1132174,1132323,1132455,1132663,1132900,1135009,1136444,1138666,1138715,1138746,1139915,1140255,1141168,1142899,1143033,1143454,1143893,1144506,1149686,1149792,1150003,1150190,1150250,1150895,1153830,1155815,1156677,1156694,1156908,1157104,1157354,1158809,1159235,1159538,1160163,1161557,1161770,1162224,1162367,1162743,1163978,1164310,1165439,1165578,1165730,1165823,1165960,1166139,1166758,1167008,1167501,1167732,1167746,1168480,1168973,1169489,1170175,1170863,1171368,1171561,1172226,1172908,1172928,1173226,1173356,1174009,1174091,1174514,1175729,1176116,1176129,1176134,1176232,1176256,1176257,1176258,1176259,1176262,1176389,1176785,1176977,1177120,1177127,1177559,1178168,1178341,1178670,1179491,1179562,1179630,1179805,1180125,1180781,1181126,1181324,1181944,1182066,1182211,1182244,1182264,1182331,1182333,1182379,1182963,1183059,1183374,1183858,1184505,1185588,1185706,1185748,1186738,1187045,1189521,1190781,1193357,356549,381844,394317,408865,428177,430141,431945,437293,442740,459468,489641,504687,509031,526319,590833,610223,610642,629905,637176,651003,657698,658604,670526,673071,693027,715423,720601,743787,747125,748738,749210,749213,749735,750618,751718,751946,751977,754447,754677,761500,774710,784670,784994,787526,793420,799119,802184,803004,809831,811890,822642,825221,828513,831629,832833,834601,835687,839107,84331,849377,855666,855676,856687,857203,857850,858239,867887,869945,871152,872299,873351,876282,876710,876712,876748,880891,885662,885882,889013,889363,892477,892480,895129,898917,901223,901277,901902,902364,906878,907584,908362,908372,912014,912015,912018,912292,912293,912294,912296,912460,913229,915479,917607,917759,917815,919648,920236,922448,922488,922496,922499,922500,926597,929678,929736,930189,931698,931978,933898,933911,934487,934489,934491,934493,935856,937085,937212,937492,937634,937912,939456,940608,942385,942751,943421,944204,945455,946648,947104,947357,947679,948198,952871,954256,954486,954690,957812,957813,957815,958501,961334,962291,963415,963974,964204,964472,964474,965830,967128,968046,968047,968048,968050,968265,968270,968374,968601,975875,976942,977584,977614,977615,977616,977663,978224,981848,982268,982575,983249,984323,985054,988086,990207,990392,990419,990428,991193,991877,992120,992988,992989,992992,993130,993819,993825,993968,994749,994844,994910,995075,995324,995359,995377,995959,996255,997043,997614,998190,999665,999666,999668
CVE References: CVE-2006-2937,CVE-2006-2940,CVE-2006-3738,CVE-2006-4339,CVE-2006-4343,CVE-2006-7250,CVE-2007-3108,CVE-2007-4995,CVE-2007-5135,CVE-2008-0891,CVE-2008-1672,CVE-2008-5077,CVE-2009-0590,CVE-2009-0591,CVE-2009-0789,CVE-2009-1377,CVE-2009-1378,CVE-2009-1379,CVE-2009-1386,CVE-2009-1387,CVE-2010-0740,CVE-2010-0742,CVE-2010-1633,CVE-2010-2939,CVE-2010-3864,CVE-2010-5298,CVE-2011-0014,CVE-2011-3207,CVE-2011-3210,CVE-2011-3389,CVE-2011-4108,CVE-2011-4576,CVE-2011-4577,CVE-2011-4619,CVE-2011-4944,CVE-2012-0027,CVE-2012-0050,CVE-2012-0845,CVE-2012-0884,CVE-2012-1150,CVE-2012-1165,CVE-2012-2110,CVE-2012-2686,CVE-2012-4929,CVE-2013-0166,CVE-2013-0169,CVE-2013-1752,CVE-2013-4238,CVE-2013-4314,CVE-2013-4353,CVE-2013-6449,CVE-2013-6450,CVE-2014-0012,CVE-2014-0076,CVE-2014-0160,CVE-2014-0195,CVE-2014-0198,CVE-2014-0221,CVE-2014-0224,CVE-2014-1829,CVE-2014-1830,CVE-2014-2667,CVE-2014-3470,CVE-2014-3505,CVE-2014-3506,CVE-2014-3507,CVE-2014-3508,CVE-2014-3509,CVE-2014-3510,CVE-2014-3511,CVE-2014-3512,CVE-2014-3513,CVE-2014-3566,CVE-2014-3567,CVE-2014-3568,CVE-2014-3570,CVE-2014-3571,CVE-2014-3572,CVE-2014-4650,CVE-2014-5139,CVE-2014-7202,CVE-2014-7203,CVE-2014-8275,CVE-2014-9721,CVE-2015-0204,CVE-2015-0205,CVE-2015-0206,CVE-2015-0209,CVE-2015-0286,CVE-2015-0287,CVE-2015-0288,CVE-2015-0289,CVE-2015-0293,CVE-2015-1788,CVE-2015-1789,CVE-2015-1790,CVE-2015-1791,CVE-2015-1792,CVE-2015-2296,CVE-2015-3194,CVE-2015-3195,CVE-2015-3196,CVE-2015-3197,CVE-2015-3216,CVE-2015-4000,CVE-2016-0702,CVE-2016-0705,CVE-2016-0797,CVE-2016-0798,CVE-2016-0799,CVE-2016-0800,CVE-2016-10745,CVE-2016-2105,CVE-2016-2106,CVE-2016-2107,CVE-2016-2109,CVE-2016-2176,CVE-2016-2177,CVE-2016-2178,CVE-2016-2179,CVE-2016-2180,CVE-2016-2181,CVE-2016-2182,CVE-2016-2183,CVE-2016-6302,CVE-2016-6303,CVE-2016-6304,CVE-2016-6306,CVE-2016-7052,CVE-2016-7055,CVE-2016-9015,CVE-2017-18342,CVE-2017-3731,CVE-2017-3732,CVE-2017-3735,CVE-2017-3736,CVE-2017-3737,CVE-2017-3738,CVE-2018-0732,CVE-2018-0734,CVE-2018-0737,CVE-2018-0739,CVE-2018-18074,CVE-2018-20060,CVE-2018-5407,CVE-2018-7750,CVE-2019-10906,CVE-2019-11236,CVE-2019-11324,CVE-2019-13132,CVE-2019-1547,CVE-2019-1551,CVE-2019-1559,CVE-2019-1563,CVE-2019-20907,CVE-2019-20916,CVE-2019-5010,CVE-2019-6250,CVE-2019-8341,CVE-2019-9740,CVE-2019-9947,CVE-2020-14343,CVE-2020-15166,CVE-2020-15523,CVE-2020-15801,CVE-2020-1747,CVE-2020-1971,CVE-2020-25659,CVE-2020-26137,CVE-2020-27783,CVE-2020-28493,CVE-2020-29651,CVE-2020-36242,CVE-2020-8492,CVE-2021-23336,CVE-2021-23840,CVE-2021-23841,CVE-2021-28957,CVE-2021-29921,CVE-2021-3177,CVE-2021-33503,CVE-2021-3426,CVE-2021-3712
JIRA References: ECO-3105,SLE-11435,SLE-12684,SLE-12986,SLE-13688,SLE-14253,SLE-15159,SLE-15860,SLE-15861,SLE-16754,SLE-17532,SLE-17957,SLE-18260,SLE-18354,SLE-18446,SLE-19264,SLE-3887,SLE-4480,SLE-4577,SLE-7686,SLE-9135
Sources used:
SUSE Manager Tools 12-BETA (src):    venv-salt-minion-3002.2-3.3.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 84 Swamp Workflow Management 2022-02-16 21:50:41 UTC
SUSE-FU-2022:0456-1: An update that solves 54 vulnerabilities, contains 6 features and has 247 fixes is now available.

Category: feature (moderate)
Bug References: 1000080,1000117,1000194,1000742,1002895,1003091,1005246,1010874,1010966,1011936,1015549,1027610,1027705,1029902,1030038,1032118,1032119,1035604,1039469,1040164,1040256,1041090,1042670,1049186,1049304,1050653,1050665,1055478,1055542,1056951,1057496,1062237,1066873,1068790,1070737,1070738,1070853,1071941,1073310,1073845,1073879,1074247,1076519,1077096,1077230,1078329,1079761,1080301,1081005,1081750,1081751,1082155,1082163,1082318,1083826,1084117,1084157,1085276,1085529,1085661,1087104,1088573,1090427,1090953,1093518,1093917,1094788,1094814,1094883,1095267,1096738,1096937,1097531,1098535,1099308,1099569,1102868,1108508,1109882,1109998,1110435,1110869,1110871,1111493,1111622,1111657,1112357,1115769,1118611,1119376,1119416,1119792,1121717,1121852,1122191,1123064,1123185,1123186,1123558,1124885,1125815,1126283,1126318,1127173,1128146,1128323,1128355,1129071,1129566,1130840,1132174,1132323,1132455,1132663,1132900,1135009,1136444,1138666,1138715,1138746,1139915,1140255,1141168,1142899,1143033,1143454,1143893,1144506,1149686,1149792,1150190,1150895,1153830,1155815,1156677,1156694,1156908,1157104,1157354,1159235,1159538,1161557,1161770,1162224,1162367,1162743,1163978,1164310,1165439,1165578,1165730,1165823,1165960,1166139,1166758,1167008,1167501,1167732,1167746,1168480,1168973,1169489,1170175,1170863,1171368,1171561,1172226,1172908,1172928,1173226,1173356,1174009,1174091,1174514,1175729,1176116,1176129,1176134,1176232,1176256,1176257,1176258,1176259,1176262,1176389,1176785,1176977,1177120,1177127,1178168,1178341,1178670,1179562,1179630,1179805,1180125,1180781,1181126,1181324,1181944,1182066,1182211,1182244,1182264,1182379,1182963,1183059,1183374,1183858,1184505,1185588,1185706,1185748,1186738,1187045,1190781,1193357,428177,431945,589441,613497,637176,657698,658604,673071,715423,743787,747125,750618,751718,754447,754677,761500,784670,787526,799119,809831,811890,825221,828513,831629,834601,835687,839107,84331,855666,858239,867887,871152,885662,885882,889363,892480,898917,907584,912460,913229,915479,917607,917759,917815,922448,929736,930189,931978,935856,937912,939456,940608,942385,942751,944204,945455,946648,947357,947679,948198,954486,954690,961334,962291,963974,964204,964472,964474,965830,967128,968270,968601,975875,981848,988086,992988,992989,992992,993130,993825,993968,994910,996255,997614
CVE References: CVE-2011-3389,CVE-2011-4944,CVE-2012-0845,CVE-2012-1150,CVE-2013-1437,CVE-2013-1752,CVE-2013-4238,CVE-2013-4314,CVE-2014-0012,CVE-2014-1829,CVE-2014-1830,CVE-2014-2667,CVE-2014-4650,CVE-2014-7202,CVE-2014-7203,CVE-2014-9721,CVE-2015-2296,CVE-2016-10745,CVE-2016-1238,CVE-2016-9015,CVE-2017-18342,CVE-2017-6512,CVE-2018-18074,CVE-2018-20060,CVE-2018-7750,CVE-2019-10906,CVE-2019-11236,CVE-2019-11324,CVE-2019-13132,CVE-2019-20907,CVE-2019-20916,CVE-2019-5010,CVE-2019-6250,CVE-2019-8341,CVE-2019-9740,CVE-2019-9947,CVE-2020-14343,CVE-2020-15166,CVE-2020-15523,CVE-2020-15801,CVE-2020-1747,CVE-2020-25659,CVE-2020-26137,CVE-2020-27783,CVE-2020-28493,CVE-2020-29651,CVE-2020-36242,CVE-2020-8492,CVE-2021-23336,CVE-2021-28957,CVE-2021-29921,CVE-2021-3177,CVE-2021-33503,CVE-2021-3426
JIRA References: ECO-3105,SLE-12986,SLE-17532,SLE-17957,SLE-7686,SLE-9135
Sources used:

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 85 Swamp Workflow Management 2022-02-16 22:17:32 UTC
SUSE-FU-2022:0450-1: An update that solves 54 vulnerabilities, contains 6 features and has 247 fixes is now available.

Category: feature (moderate)
Bug References: 1000080,1000117,1000194,1000742,1002895,1003091,1005246,1010874,1010966,1011936,1015549,1027610,1027705,1029902,1030038,1032118,1032119,1035604,1039469,1040164,1040256,1041090,1042670,1049186,1049304,1050653,1050665,1055478,1055542,1056951,1057496,1062237,1066873,1068790,1070737,1070738,1070853,1071941,1073310,1073845,1073879,1074247,1076519,1077096,1077230,1078329,1079761,1080301,1081005,1081750,1081751,1082155,1082163,1082318,1083826,1084117,1084157,1085276,1085529,1085661,1087104,1088573,1090427,1090953,1093518,1093917,1094788,1094814,1094883,1095267,1096738,1096937,1097531,1098535,1099308,1099569,1102868,1108508,1109882,1109998,1110435,1110869,1110871,1111493,1111622,1111657,1112357,1115769,1118611,1119376,1119416,1119792,1121717,1121852,1122191,1123064,1123185,1123186,1123558,1124885,1125815,1126283,1126318,1127173,1128146,1128323,1128355,1129071,1129566,1130840,1132174,1132323,1132455,1132663,1132900,1135009,1136444,1138666,1138715,1138746,1139915,1140255,1141168,1142899,1143033,1143454,1143893,1144506,1149686,1149792,1150190,1150895,1153830,1155815,1156677,1156694,1156908,1157104,1157354,1159235,1159538,1161557,1161770,1162224,1162367,1162743,1163978,1164310,1165439,1165578,1165730,1165823,1165960,1166139,1166758,1167008,1167501,1167732,1167746,1168480,1168973,1169489,1170175,1170863,1171368,1171561,1172226,1172908,1172928,1173226,1173356,1174009,1174091,1174514,1175729,1176116,1176129,1176134,1176232,1176256,1176257,1176258,1176259,1176262,1176389,1176785,1176977,1177120,1177127,1178168,1178341,1178670,1179562,1179630,1179805,1180125,1180781,1181126,1181324,1181944,1182066,1182211,1182244,1182264,1182379,1182963,1183059,1183374,1183858,1184505,1185588,1185706,1185748,1186738,1187045,1190781,1193357,428177,431945,589441,613497,637176,657698,658604,673071,715423,743787,747125,750618,751718,754447,754677,761500,784670,787526,799119,809831,811890,825221,828513,831629,834601,835687,839107,84331,855666,858239,867887,871152,885662,885882,889363,892480,898917,907584,912460,913229,915479,917607,917759,917815,922448,929736,930189,931978,935856,937912,939456,940608,942385,942751,944204,945455,946648,947357,947679,948198,954486,954690,961334,962291,963974,964204,964472,964474,965830,967128,968270,968601,975875,981848,988086,992988,992989,992992,993130,993825,993968,994910,996255,997614
CVE References: CVE-2011-3389,CVE-2011-4944,CVE-2012-0845,CVE-2012-1150,CVE-2013-1437,CVE-2013-1752,CVE-2013-4238,CVE-2013-4314,CVE-2014-0012,CVE-2014-1829,CVE-2014-1830,CVE-2014-2667,CVE-2014-4650,CVE-2014-7202,CVE-2014-7203,CVE-2014-9721,CVE-2015-2296,CVE-2016-10745,CVE-2016-1238,CVE-2016-9015,CVE-2017-18342,CVE-2017-6512,CVE-2018-18074,CVE-2018-20060,CVE-2018-7750,CVE-2019-10906,CVE-2019-11236,CVE-2019-11324,CVE-2019-13132,CVE-2019-20907,CVE-2019-20916,CVE-2019-5010,CVE-2019-6250,CVE-2019-8341,CVE-2019-9740,CVE-2019-9947,CVE-2020-14343,CVE-2020-15166,CVE-2020-15523,CVE-2020-15801,CVE-2020-1747,CVE-2020-25659,CVE-2020-26137,CVE-2020-27783,CVE-2020-28493,CVE-2020-29651,CVE-2020-36242,CVE-2020-8492,CVE-2021-23336,CVE-2021-28957,CVE-2021-29921,CVE-2021-3177,CVE-2021-33503,CVE-2021-3426
JIRA References: ECO-3105,SLE-12986,SLE-17532,SLE-17957,SLE-7686,SLE-9135
Sources used:

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 86 Swamp Workflow Management 2022-02-16 22:43:58 UTC
SUSE-FU-2022:0444-1: An update that solves 51 vulnerabilities, contains 21 features and has 249 fixes is now available.

Category: feature (moderate)
Bug References: 1000080,1000117,1000194,1000742,1002895,1003091,1005246,1010874,1010966,1011936,1015549,1027610,1027705,1029902,1030038,1032118,1032119,1035604,1039469,1040164,1040256,1041090,1042670,1049186,1049304,1050653,1050665,1055478,1055542,1056951,1057496,1062237,1066873,1068790,1070737,1070738,1070853,1071941,1073310,1073845,1073879,1074247,1076519,1077096,1077230,1078329,1079761,1080301,1081005,1081750,1081751,1082155,1082163,1082318,1083826,1084117,1084157,1085276,1085529,1085661,1087104,1088573,1090427,1090953,1093518,1093917,1094788,1094814,1094883,1095267,1096738,1096937,1097531,1098535,1099308,1099569,1102868,1108508,1109882,1109998,1110435,1110869,1110871,1111493,1111622,1111657,1112357,1115769,1118611,1119376,1119416,1119792,1121717,1121852,1122191,1123064,1123185,1123186,1123558,1124885,1125815,1126283,1126318,1127173,1128146,1128323,1128355,1129071,1129566,1130840,1132174,1132323,1132455,1132663,1132900,1135009,1136444,1138666,1138715,1138746,1139915,1140255,1141168,1142899,1143033,1143454,1143893,1144506,1149686,1149792,1150190,1150895,1153830,1155815,1156677,1156694,1156908,1157104,1157354,1159235,1159538,1161557,1161770,1162224,1162367,1162743,1163978,1164310,1165439,1165578,1165730,1165823,1165960,1166139,1166758,1167008,1167501,1167732,1167746,1168480,1168973,1169489,1170175,1170863,1171368,1171561,1172226,1172908,1172928,1173226,1173356,1174009,1174091,1174514,1175729,1176116,1176129,1176134,1176232,1176256,1176257,1176258,1176259,1176262,1176389,1176785,1176977,1177120,1177127,1177559,1178168,1178341,1178670,1179562,1179630,1179805,1180125,1180781,1181126,1181324,1181944,1182066,1182211,1182244,1182264,1182379,1182963,1183059,1183374,1183858,1184505,1185588,1185706,1185748,1186738,1187045,1190781,1193357,428177,431945,637176,657698,658604,673071,715423,743787,747125,750618,751718,754447,754677,761500,784670,787526,799119,809831,811890,825221,828513,831629,834601,835687,839107,84331,855666,858239,867887,871152,885662,885882,889363,892480,898917,907584,912460,913229,915479,917607,917759,917815,922448,929736,930189,931978,935856,937912,939456,940608,942385,942751,944204,945455,946648,947357,947679,948198,954486,954690,961334,962291,963974,964204,964472,964474,965830,967128,968270,968601,975875,981848,988086,992988,992989,992992,993130,993825,993968,994910,996255,997614
CVE References: CVE-2011-3389,CVE-2011-4944,CVE-2012-0845,CVE-2012-1150,CVE-2013-1752,CVE-2013-4238,CVE-2013-4314,CVE-2014-0012,CVE-2014-1829,CVE-2014-1830,CVE-2014-2667,CVE-2014-4650,CVE-2014-7202,CVE-2014-7203,CVE-2014-9721,CVE-2015-2296,CVE-2016-10745,CVE-2016-9015,CVE-2017-18342,CVE-2018-18074,CVE-2018-20060,CVE-2018-7750,CVE-2019-10906,CVE-2019-11236,CVE-2019-11324,CVE-2019-13132,CVE-2019-20907,CVE-2019-20916,CVE-2019-5010,CVE-2019-6250,CVE-2019-8341,CVE-2019-9740,CVE-2019-9947,CVE-2020-14343,CVE-2020-15166,CVE-2020-15523,CVE-2020-15801,CVE-2020-1747,CVE-2020-25659,CVE-2020-26137,CVE-2020-27783,CVE-2020-28493,CVE-2020-29651,CVE-2020-36242,CVE-2020-8492,CVE-2021-23336,CVE-2021-28957,CVE-2021-29921,CVE-2021-3177,CVE-2021-33503,CVE-2021-3426
JIRA References: ECO-3105,SLE-11435,SLE-12684,SLE-12986,SLE-13688,SLE-14253,SLE-15159,SLE-15860,SLE-15861,SLE-16754,SLE-17532,SLE-17957,SLE-18260,SLE-18354,SLE-18446,SLE-19264,SLE-3887,SLE-4480,SLE-4577,SLE-7686,SLE-9135
Sources used:
SUSE Manager Tools 15-BETA (src):    venv-salt-minion-3002.2-159000.3.3.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 87 Swamp Workflow Management 2022-02-16 23:11:11 UTC
SUSE-FU-2022:0452-1: An update that solves 54 vulnerabilities, contains 6 features and has 247 fixes is now available.

Category: feature (moderate)
Bug References: 1000080,1000117,1000194,1000742,1002895,1003091,1005246,1010874,1010966,1011936,1015549,1027610,1027705,1029902,1030038,1032118,1032119,1035604,1039469,1040164,1040256,1041090,1042670,1049186,1049304,1050653,1050665,1055478,1055542,1056951,1057496,1062237,1066873,1068790,1070737,1070738,1070853,1071941,1073310,1073845,1073879,1074247,1076519,1077096,1077230,1078329,1079761,1080301,1081005,1081750,1081751,1082155,1082163,1082318,1083826,1084117,1084157,1085276,1085529,1085661,1087104,1088573,1090427,1090953,1093518,1093917,1094788,1094814,1094883,1095267,1096738,1096937,1097531,1098535,1099308,1099569,1102868,1108508,1109882,1109998,1110435,1110869,1110871,1111493,1111622,1111657,1112357,1115769,1118611,1119376,1119416,1119792,1121717,1121852,1122191,1123064,1123185,1123186,1123558,1124885,1125815,1126283,1126318,1127173,1128146,1128323,1128355,1129071,1129566,1130840,1132174,1132323,1132455,1132663,1132900,1135009,1136444,1138666,1138715,1138746,1139915,1140255,1141168,1142899,1143033,1143454,1143893,1144506,1149686,1149792,1150190,1150895,1153830,1155815,1156677,1156694,1156908,1157104,1157354,1159235,1159538,1161557,1161770,1162224,1162367,1162743,1163978,1164310,1165439,1165578,1165730,1165823,1165960,1166139,1166758,1167008,1167501,1167732,1167746,1168480,1168973,1169489,1170175,1170863,1171368,1171561,1172226,1172908,1172928,1173226,1173356,1174009,1174091,1174514,1175729,1176116,1176129,1176134,1176232,1176256,1176257,1176258,1176259,1176262,1176389,1176785,1176977,1177120,1177127,1178168,1178341,1178670,1179562,1179630,1179805,1180125,1180781,1181126,1181324,1181944,1182066,1182211,1182244,1182264,1182379,1182963,1183059,1183374,1183858,1184505,1185588,1185706,1185748,1186738,1187045,1190781,1193357,428177,431945,589441,613497,637176,657698,658604,673071,715423,743787,747125,750618,751718,754447,754677,761500,784670,787526,799119,809831,811890,825221,828513,831629,834601,835687,839107,84331,855666,858239,867887,871152,885662,885882,889363,892480,898917,907584,912460,913229,915479,917607,917759,917815,922448,929736,930189,931978,935856,937912,939456,940608,942385,942751,944204,945455,946648,947357,947679,948198,954486,954690,961334,962291,963974,964204,964472,964474,965830,967128,968270,968601,975875,981848,988086,992988,992989,992992,993130,993825,993968,994910,996255,997614
CVE References: CVE-2011-3389,CVE-2011-4944,CVE-2012-0845,CVE-2012-1150,CVE-2013-1437,CVE-2013-1752,CVE-2013-4238,CVE-2013-4314,CVE-2014-0012,CVE-2014-1829,CVE-2014-1830,CVE-2014-2667,CVE-2014-4650,CVE-2014-7202,CVE-2014-7203,CVE-2014-9721,CVE-2015-2296,CVE-2016-10745,CVE-2016-1238,CVE-2016-9015,CVE-2017-18342,CVE-2017-6512,CVE-2018-18074,CVE-2018-20060,CVE-2018-7750,CVE-2019-10906,CVE-2019-11236,CVE-2019-11324,CVE-2019-13132,CVE-2019-20907,CVE-2019-20916,CVE-2019-5010,CVE-2019-6250,CVE-2019-8341,CVE-2019-9740,CVE-2019-9947,CVE-2020-14343,CVE-2020-15166,CVE-2020-15523,CVE-2020-15801,CVE-2020-1747,CVE-2020-25659,CVE-2020-26137,CVE-2020-27783,CVE-2020-28493,CVE-2020-29651,CVE-2020-36242,CVE-2020-8492,CVE-2021-23336,CVE-2021-28957,CVE-2021-29921,CVE-2021-3177,CVE-2021-33503,CVE-2021-3426
JIRA References: ECO-3105,SLE-12986,SLE-17532,SLE-17957,SLE-7686,SLE-9135
Sources used:

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 88 Swamp Workflow Management 2022-02-16 23:38:18 UTC
SUSE-FU-2022:0447-1: An update that solves 54 vulnerabilities, contains 6 features and has 247 fixes is now available.

Category: feature (moderate)
Bug References: 1000080,1000117,1000194,1000742,1002895,1003091,1005246,1010874,1010966,1011936,1015549,1027610,1027705,1029902,1030038,1032118,1032119,1035604,1039469,1040164,1040256,1041090,1042670,1049186,1049304,1050653,1050665,1055478,1055542,1056951,1057496,1062237,1066873,1068790,1070737,1070738,1070853,1071941,1073310,1073845,1073879,1074247,1076519,1077096,1077230,1078329,1079761,1080301,1081005,1081750,1081751,1082155,1082163,1082318,1083826,1084117,1084157,1085276,1085529,1085661,1087104,1088573,1090427,1090953,1093518,1093917,1094788,1094814,1094883,1095267,1096738,1096937,1097531,1098535,1099308,1099569,1102868,1108508,1109882,1109998,1110435,1110869,1110871,1111493,1111622,1111657,1112357,1115769,1118611,1119376,1119416,1119792,1121717,1121852,1122191,1123064,1123185,1123186,1123558,1124885,1125815,1126283,1126318,1127173,1128146,1128323,1128355,1129071,1129566,1130840,1132174,1132323,1132455,1132663,1132900,1135009,1136444,1138666,1138715,1138746,1139915,1140255,1141168,1142899,1143033,1143454,1143893,1144506,1149686,1149792,1150190,1150895,1153830,1155815,1156677,1156694,1156908,1157104,1157354,1159235,1159538,1161557,1161770,1162224,1162367,1162743,1163978,1164310,1165439,1165578,1165730,1165823,1165960,1166139,1166758,1167008,1167501,1167732,1167746,1168480,1168973,1169489,1170175,1170863,1171368,1171561,1172226,1172908,1172928,1173226,1173356,1174009,1174091,1174514,1175729,1176116,1176129,1176134,1176232,1176256,1176257,1176258,1176259,1176262,1176389,1176785,1176977,1177120,1177127,1178168,1178341,1178670,1179562,1179630,1179805,1180125,1180781,1181126,1181324,1181944,1182066,1182211,1182244,1182264,1182379,1182963,1183059,1183374,1183858,1184505,1185588,1185706,1185748,1186738,1187045,1190781,1193357,428177,431945,589441,613497,637176,657698,658604,673071,715423,743787,747125,750618,751718,754447,754677,761500,784670,787526,799119,809831,811890,825221,828513,831629,834601,835687,839107,84331,855666,858239,867887,871152,885662,885882,889363,892480,898917,907584,912460,913229,915479,917607,917759,917815,922448,929736,930189,931978,935856,937912,939456,940608,942385,942751,944204,945455,946648,947357,947679,948198,954486,954690,961334,962291,963974,964204,964472,964474,965830,967128,968270,968601,975875,981848,988086,992988,992989,992992,993130,993825,993968,994910,996255,997614
CVE References: CVE-2011-3389,CVE-2011-4944,CVE-2012-0845,CVE-2012-1150,CVE-2013-1437,CVE-2013-1752,CVE-2013-4238,CVE-2013-4314,CVE-2014-0012,CVE-2014-1829,CVE-2014-1830,CVE-2014-2667,CVE-2014-4650,CVE-2014-7202,CVE-2014-7203,CVE-2014-9721,CVE-2015-2296,CVE-2016-10745,CVE-2016-1238,CVE-2016-9015,CVE-2017-18342,CVE-2017-6512,CVE-2018-18074,CVE-2018-20060,CVE-2018-7750,CVE-2019-10906,CVE-2019-11236,CVE-2019-11324,CVE-2019-13132,CVE-2019-20907,CVE-2019-20916,CVE-2019-5010,CVE-2019-6250,CVE-2019-8341,CVE-2019-9740,CVE-2019-9947,CVE-2020-14343,CVE-2020-15166,CVE-2020-15523,CVE-2020-15801,CVE-2020-1747,CVE-2020-25659,CVE-2020-26137,CVE-2020-27783,CVE-2020-28493,CVE-2020-29651,CVE-2020-36242,CVE-2020-8492,CVE-2021-23336,CVE-2021-28957,CVE-2021-29921,CVE-2021-3177,CVE-2021-33503,CVE-2021-3426
JIRA References: ECO-3105,SLE-12986,SLE-17532,SLE-17957,SLE-7686,SLE-9135
Sources used:

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.